%global _description\
The primary goal of this module is to be able to inspect the internals of an\
existing filesystem for educational purposes.\
\
The python module acts as a wrapper around the low level kernel calls and btrfs\
data structures, presenting them as python objects with interesting attributes\
and references to other objects.

Name:           python-btrfs
Version:        9.1
Release:        1%{?dist}
Summary:        Python module to inspect btrfs filesystems
License:        GPLv2
URL:            https://github.com/knorrie/python-btrfs
Source0:        https://github.com/knorrie/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description %_description

%package -n python3-btrfs
Summary: %{summary}
%{?python_provide:%python_provide python3-btrfs}
Recommends: %{name}-doc

%description -n python3-btrfs %_description

%package doc
Summary: %{summary}

%description doc %_description

%prep
%autosetup
# Remove dangling symlink
rm -f examples/btrfs
# Don't pull additional dependencies in doc
find examples -type f -print0 | xargs -0 chmod 644

%build
%py3_build

%install
%py3_install

%files -n python3-btrfs
%license COPYING
%{python3_sitelib}/btrfs
%{python3_sitelib}/btrfs-%{version}-py*.egg-info

%files doc
%doc CHANGES README.md examples
%license COPYING

%changelog
* Mon Oct 22 2018 Juan Orti Alcaine <jorti@fedoraproject.org> - 9.1-1
- Version 9.1

* Mon Oct 22 2018 Juan Orti Alcaine <jorti@fedoraproject.org> - 9-1
- Version 9
- Create doc subpackage
- Use python_provide macro

* Fri Oct 12 2018 Juan Orti Alcaine <jorti@fedoraproject.org> - 8-6
- Add patch to support Python3.7

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 8-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 19 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 8-1
- Version 8

* Mon May 29 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 7-1
- Version 7

* Thu Mar 30 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 6-1
- Version 6
- Drop python2 subpackage

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 14 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 5-1
- Version 5

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4-2
- Rebuild for Python 3.6

* Mon Dec 19 2016 Juan Orti Alcaine <jorti@fedoraproject.org> - 4-1
- Version 4

* Wed Nov 16 2016 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.3-1
- Version 0.3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jul 13 2016 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.2.1-2
- Remove doc subpackage

* Wed Jul 13 2016 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.2.1-1
- Initial package
